RPG Maker and RTP's

I've gotten this question a few times, and I figure I should just make a post that answers these questions all together!

SO! Ever since RPG Maker 2000, Enterbarin had the creative idea to lower the filesize of games made in their system, by developing a unified download of their common resources and files, along with necessary .DLL's to run, as a RTP ( Run-Time-Package ). You can think of this secondary download requirement like how some programs require you to have the .Net framework installed to run, as the base has necessary files that the program uses to work.

With that out of the way, to use my games, there's two different RTP's you'll need:
For the most part, all of my newest releases run using RPG Maker VX Ace, so you only need this one if playing anything new and up to date as of 2015 onwards:
You can download it here

As for my older projects ( First releases of Tyamet Chapter, Codename Progressive ), you will need this in turn, as they where made using RPG Maker XP:
Download here

With those two links installed, you should not get any more issues about unable to run the game ( Unless you're on a non-windows set up of some kind, or trying to run this stuff on Windows 2000 and lower, as then I can't really help you there! ).

Post a comment

Private comment

Hits
Profile

lipucd

Author:lipucd
I'm lipucd, maker of RPG Maker hentai games!
( also obsessive over Q-Bee )

Latest journals
Latest comments
Category
Monthly archive
Search form
Display RSS link.
Link
Pixiv Favs
Friend request form

Want to be friends with this user.